Subject: bug#14992: 24.2.91; Initial-major-mode not respected!

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 31 Jul 2013 15:47:57 +0200

Juanma Barranquero wrote:
> Sebastien Vauban <[email-masked]> wrote:
>
>> With the following minimal .emacs file
>
> [...]
>
>> (info) Loading `d:/Users/sva/src/emacs-leuven/.emacs-minimal.el'...done
>
> So, no, you're not using that code as an .emacs file, you're likely doing
>
>   emacs -Q -l .emacs-minimal.el

You're right!

> and, at that point, *scratch* already has been created, in the default
> major mode.
>
> If I put you code on .emacs, I get
>
> (info) Loading `c:/Devel/emacs/test/.emacs'...
> First-change-hook called for temporary buffer ` *temp*' (in
> `fundamental-mode') [9 times]
> First-change-hook called for temporary buffer ` *load*' (in
> `fundamental-mode') [9 times]
> For information about GNU Emacs and the GNU system, type C-h C-a.
> First-change-hook called for temporary buffer `*scratch*' (in
> `fundamental-mode')
> First-change-hook called for temporary buffer `*About GNU Emacs*' (in
> `fundamental-mode')

I thought that the scratch buffer was created at the very end of the
"initialization" (i.e., before giving me the relay).

All of that *now* makes sense.

Thanks for your enlightenment...

Best regards,
  Seb

-- 
Sebastien Vauban